default:
  image: centos:latest

job:
  before_script:
    - dnf install -y rpmdevtools epel-release
    - yum install -y 'dnf-command(config-manager)'
    - yum config-manager --set-enabled powertools
    - dnf install -y tito cmake make gcc gettext intltool json-c-devel libdnf-devel libnotify-devel openssl-devel python3-devel
  stage: build
  script:
    - rpmdev-setuptree
    - cp subscription-manager.spec ~/rpmbuild/SPECS/
    - cp *.tar.gz *.patch ~/rpmbuild/SOURCES/
    - cd ~/rpmbuild/SPECS/
    - rpmbuild -bs subscription-manager.spec
    - rpmbuild -bb subscription-manager.spec
    - cp -r ~/rpmbuild/RPMS/* /builds/morales-research-corporation/SunOS-Linux/packages/binaries/subscription-manager/bin
    - cd /builds/morales-research-corporation/SunOS-Linux/packages/binaries/subscription-manager/bin
    - ls -la
  artifacts:
    public: true
    untracked: true
    paths:
      - binaries/*
